#! /usr/bin/php
<?php

/**
 * Moodle tools
 *
 * @package   mt
 * @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
 */

if ($argc < 1) {
	exit(1);
}

$moodledir = '%moodle_dir';
$configfilename = 'config.php';
$configfile = $moodledir . '/' . $configfilename;
$format = "%s\n";
$array = false;
$bool = false;

$progname = array_shift($argv);

foreach ($argv as $key => $value) {
	$arg = preg_split('/=/',$value,2);
	switch ($arg[0]) {
	case "--array":
		if (is_null($arg[1]))
			$array = 1;
		else
			$array = $arg[1];
		unset($argv[$key]);
		break;
	case "--bool":
		$bool = true;
		unset($argv[$key]);
		break;
	case "--file":
		$configfile = $arg[1];
		unset($argv[$key]);
		break;
	case "--format":
		$format = $arg[1] . "\n";
		unset($argv[$key]);
		break;
	case "--":
		unset($argv[$key]);
		break 2;
	default:
		break;
	}
}

$name = array_shift($argv);
if ($array)
	$key = array_shift($argv);

define("CLI_SCRIPT", true);
try {
	require_once($configfile);
} catch (Exception $e) {
	;
}

// Get $var
$var = $CFG->$name;
if ($array)
	$var = $var[$key];
// Is bool?
if ($bool)
	if ($var)
		$var = 'true';
	else
		$var = 'false';

// Print $var
printf($format,$var);

?>
