#! /usr/bin/php
<?php

/**
 * Moodle tools
 *
 * @package   mt
 * @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
 */

if ($argc < 1) {
	exit(1);
}

$moodledir = '%moodle_dir';
$format = "%s\n";

$progname = array_shift($argv);

foreach ($argv as $key => $value) {
	$arg = preg_split('/=/',$value,2);
	switch ($arg[0]) {
	case "--moodledir":
		$moodledir = $arg[1];
		unset($argv[$key]);
		break;
	case "--format":
		$format = $arg[1] . "\n";
		unset($argv[$key]);
		break;
	case "--":
		unset($argv[$key]);
		break 2;
	default:
		break;
	}
}

$lang = array_shift($argv);
$langconfigfile = $moodledir . '/lang/' . $lang . '/langconfig.php';

define("MOODLE_INTERNAL", true);
try {
	require_once($langconfigfile);
} catch (Exception $e) {
	exit(1);
}

// Get $string['thislanguage']
$var = $string['thislanguage'];

// Print $var
printf($format,$var);

?>
